Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.data
Interface CustomDataManagerBusiness

All Known Subinterfaces:
  CustomDataManager

All Known Implementing Classes:
  CMCustomDataManagerBean, EpmCustomDataManagerImpl

    public interface CustomDataManagerBusiness

Method Summary
`long` | `createUniqueId(CatalogRequest request, String jndiHomeName, String pkString)` Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.
`Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey)` Retrieve all the property values
`Map` | `getProperties(CatalogRequest request, CatalogItemKey itemKey, String namespace)` Retrieve all the property values within a namespace
`Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key, Object defaultValue)` Retrieve the value associated with the named key.
`Object` | `getProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key, boolean returnDefault)` Retrieve the value associated with the named key.
`void` | `removeProperties(CatalogRequest request, CatalogItemKey itemKey)` Remove all the properties for an item
`Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key)` Remove the property associated with the named key.
`Object` | `removeProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key)` Remove the property associated with the named key.
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, String namespace, String key, Object value)` Associate the specified value with the named key.
`void` | `setProperty(CatalogRequest request, CatalogItemKey itemKey, String propertySetName, String propertySetType, String key, Object value)` Associate the specified value with the named key.

Method Detail

### getProperty

    Object getProperty(CatalogRequest request,
                       CatalogItemKey itemKey,
                       String namespace,
                       String key,
                       Object defaultValue)
                       throws RemoteException,
                              CatalogException

  Retrieve the value associated with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `defaultValue` - The value to return if that property is not set.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperty

    Object getProperty(CatalogRequest request,
                       CatalogItemKey itemKey,
                       String propertySetName,
                       String propertySetType,
                       String key,
                       boolean returnDefault)
                       throws CatalogException,
                              RemoteException

  Retrieve the value associated with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to retrieve.
    `returnDefault` - if `true` return the default value
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### setProperty

    void setProperty(CatalogRequest request,
                     CatalogItemKey itemKey,
                     String namespace,
                     String key,
                     Object value)
                     throws RemoteException,
                            CatalogException

  Associate the specified value with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `namespace` - The namespace to associate the value with.
    `value` - The value to associate with the name.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### setProperty

    void setProperty(CatalogRequest request,
                     CatalogItemKey itemKey,
                     String propertySetName,
                     String propertySetType,
                     String key,
                     Object value)
                     throws RemoteException,
                            CatalogException

  Associate the specified value with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `propertySetName` - The propertySetName to associate the value with.
    `value` - The value to associate with the name.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperties

    Map getProperties(CatalogRequest request,
                      CatalogItemKey itemKey,
                      String namespace)
                      throws RemoteException,
                             CatalogException

  Retrieve all the property values within a namespace

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `namespace` - The namespace of the properties to retrieve.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### getProperties

    Map getProperties(CatalogRequest request,
                      CatalogItemKey itemKey)
                      throws RemoteException,
                             CatalogException

  Retrieve all the property values

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperty

    Object removeProperty(CatalogRequest request,
                          CatalogItemKey itemKey,
                          String namespace,
                          String key)
                          throws RemoteException,
                                 CatalogException

  Remove the property associated with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperty

    Object removeProperty(CatalogRequest request,
                          CatalogItemKey itemKey,
                          String propertySetName,
                          String propertySetType,
                          String key)
                          throws CatalogException,
                                 RemoteException

  Remove the property associated with the named key.

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
    `key` - The name of the property to remove.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### removeProperties

    void removeProperties(CatalogRequest request,
                          CatalogItemKey itemKey)
                          throws RemoteException,
                                 CatalogException

  Remove all the properties for an item

  Parameters
    `request` - The catalog request.
    `itemKey` - The key of the target catalog item.
  Throws
    `CatalogException` - on general error.
    `RemoteException`

### createUniqueId

    long createUniqueId(CatalogRequest request,
                        String jndiHomeName,
                        String pkString)
                        throws RemoteException,
                               CatalogException

  Create a record for a new ConfigurableEntity, as identified by the given jndiHomeName and pkString.

  Parameters
    `request` - The catalog request.
    `jndiHomeName` - the entity's home name
    `pkString` - the entity's identifier string
  Returns
    the newly created entity id
  Throws
    `CatalogException` - if there is an error
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved